#!/bin/sh

securityfs_mnt=/sys/kernel/security
kysec_status_path="$securityfs_mnt/kysec/status"
sysfs_entry="$securityfs_mnt"/kysec/3adm

root_device=$(getarg 'root=')

securityfs_is_mounted()
{
	mount -t securityfs | awk '{print $3}' | while read mntdir
	do
		if [ "$mntdir" = "$securityfs_mnt" ]; then
			echo "yes"
			return
		fi
	done
}

kysec_is_enabled()
{
	if [ -e "$kysec_status_path" ]; then
		cat "$kysec_status_path"
	else
		echo 0
	fi
}

set_kysec_status()
{
	echo $1 > $kysec_status_path
}

show_text_mesg()
{
	echo "$1"
}

plymouth_is_running()
{
	if [ -e "/bin/plymouth" ] && /bin/plymouth --ping; then
		return 0
	else
		return 1
	fi
}

show_message()
{
	if plymouth_is_running; then
		/bin/plymouth message --text="$1"
		show_text_mesg "$1"
	else
		show_text_mesg "$1"
	fi
}

clear_message()
{
	if plymouth_is_running; then
		plymouth message --text=""
	fi
	clear
}

